Bug 216783 - Undefined non-weak symbols in libid3
Summary: Undefined non-weak symbols in libid3
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: id3lib (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-21 23:54 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 21:41:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-11-21 23:54:15 UTC
libid3 contains a couple of zlib-related undefined non-weak symbols:

$ rpmlint id3lib
W: id3lib undefined-non-weak-symbol /usr/lib64/libid3-3.8.so.3.0.0 compress
W: id3lib undefined-non-weak-symbol /usr/lib64/libid3-3.8.so.3.0.0 uncompress

$ cat t.c
char ID3Tag_Link ();
int main ()
{
  ID3Tag_Link();
  return 0;
}

$ gcc -lid3 t.c
/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../lib64/libid3.so: undefined
reference to `compress'
/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../lib64/libid3.so: undefined
reference to `uncompress'
collect2: ld returned 1 exit status

This causes for example kid3 0.8's id3lib detection to fail (and there's no
id3lib-config script or a pkgconfig file in id3lib which could be used to
propagate -lz).

Comment 1 Hans de Goede 2006-11-22 21:41:16 UTC
Thanks for reporting this. This is fixed in CVS and builds have been requested
for devel, FC-6 and FC-5, closing.



Note You need to log in before you can comment on or make changes to this bug.